%global unique_name eu.tiliado.Nuvola

Name:           nuvola-app-bbc-iplayer
Version:        1.2
Release:        1%{?dist}
Summary:        BBC iPlayer plugin for Nuvola Player
# The entire source code is BSD except src/icon*.svg which is CC-BY 
License:        BSD and CC-BY
URL:            https://github.com/tiliado/nuvola-app-bbc-iplayer
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.6.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of BBC iPlayer into your linux desktop via Nuvola Player.

This is a beta release: support for HTML5 Media Source Extensions (MSE) is new
to WebKitGtk and may be still incomplete. Most BBC content works, most of the
time, but not all. In those cases you can still use the Flash player, but Nuvola
will be unable to detect or control playing state.

%prep
%setup -q


%build
%configure
%make_build


%install
%make_install

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc CHANGELOG.md README.md
%license LICENSE-BSD.txt LICENSE-CC-BY.txt
%{_datadir}/applications/%{unique_name}AppBbcIplayer.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppBbcIplayer.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/bbc_iplayer/


%changelog
* Sat Sep 30 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.2-1
- Update to 1.2

* Tue Aug 22 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.1-1
- initial build
